=== src/cpfs-client-1.0.0/cpfs-client-dkms-mkdeb/debian/control ===
Source: DEBIAN_PACKAGE-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms
Standards-Version: 3.8.1

Package: DEBIAN_PACKAGE-dkms
Architecture: DEBIAN_BUILD_ARCH
Depends: dkms (>= 1.95), ${misc:Depends}
Conflicts: lustre, lustre-utils, lustre-iokit, lustre-tests, lustre-dev
Description: CPFS Client DKMS package
 This package builds the CPFS Client kernel module using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel, and automatically rebuilt for
 any new kernel headers that are installed.
